|  | Home

# QtVariantProperty Class Reference

The QtVariantProperty class is a convenience class handling QVariant based properties. More...

     #include <QtVariantProperty>

Inherits QtProperty.

- List of all members, including inherited members

### Public Functions

- ~QtVariantProperty ()
- QVariant attributeValue ( const QString & attribute ) const
- int propertyType () const
- void setAttribute ( const QString & attribute, const QVariant & value )
- void setValue ( const QVariant & value )
- QVariant value () const
- int valueType () const

- 20 public functions inherited from QtProperty

### Protected Functions

- QtVariantProperty ( QtVariantPropertyManager * manager )

## Detailed Description

The QtVariantProperty class is a convenience class handling QVariant based properties.

QtVariantProperty provides additional API: A property's type, value type, attribute values and current value can easily be retrieved using the propertyType(), valueType(), attributeValue() and value() functions respectively. In addition, the attribute values and the current value can be set using the corresponding setValue() and setAttribute() functions.

For example, instead of writing:

     QtVariantPropertyManager *variantPropertyManager;
     QtProperty *property;

     variantPropertyManager->setValue(property, 10);

you can write:

     QtVariantPropertyManager *variantPropertyManager;
     QtVariantProperty *property;

     property->setValue(10);

QtVariantProperty instances can only be created by the QtVariantPropertyManager class.

See also QtProperty, QtVariantPropertyManager, and QtVariantEditorFactory.

## Member Function Documentation

### QtVariantProperty::QtVariantProperty ( QtVariantPropertyManager * manager ) `[protected]`

Creates a variant property using the given manager.

Do not use this constructor to create variant property instances; use the QtVariantPropertyManager::addProperty() function instead. This constructor is used internally by the QtVariantPropertyManager::createProperty() function.

See also QtVariantPropertyManager.

### QtVariantProperty::~QtVariantProperty ()

Destroys this property.

See also QtProperty::~QtProperty().

### QVariant QtVariantProperty::attributeValue ( const QString & attribute ) const

Returns this property's value for the specified attribute.

QtVariantPropertyManager provides a couple of related functions: attributes() and attributeType().

See also setAttribute().

### int QtVariantProperty::propertyType () const

Returns this property's type.

QtVariantPropertyManager provides several related functions: enumTypeId(), flagTypeId() and groupTypeId().

See also valueType().

### void QtVariantProperty::setAttribute ( const QString & attribute, const QVariant & value )

Sets the attribute of property to value.

QtVariantPropertyManager provides the related setAttribute() function.

See also attributeValue().

### void QtVariantProperty::setValue ( const QVariant & value )

Sets the value of this property to value.

The specified value must be of the type returned by valueType(), or of a type that can be converted to valueType() using the QVariant::canConvert() function; otherwise this function does nothing.

See also value().

### QVariant QtVariantProperty::value () const

Returns the property's current value.

See also valueType() and setValue().

### int QtVariantProperty::valueType () const

Returns the type of this property's value.

See also propertyType().